«前の日記(2004-04-11(日)) 最新 次の日記(2004-04-13(火))»

vdrめも

検索キーワード:
[PR]:「Chef活用ガイド コードではじめる構成管理 (大型本), (Kindle版)」発売中です。


2004-04-12(月) VPN 進行中 [長年日記]

_ [debian] audacity 1.2.0-3vd1

s/wx-config/wxgtk2-2.4-config/g で作成。

_ [debian] uim 0.3.4.2-1vd1

official に追従。

_ [debian] xmame 0.81.1-0vd1

作成。

_ [comp] 続・VPN 実験

kernel 2.4.25 に当てたのは linux-2.4.21-openssl-0.9.6b-mppe.patch.gz ではなく、kernel-patch-mppe に入っている linux-2.4.20-openssl-0.9.6b-mppe.patch だった。そしてこれについては #194497 というのが出ていた。pptp-linux はまだよくわからないので保留、主な用途になるであろう WinXP から接続にいったら、なるほど確かに、サーバのほうのログに

pppd[XXXXX]: kernel does not support PPP filtering
kernel: compress rejected: opt_len=22,o[0]=12,o[1]=6
pppd[XXXXX]: MPPE required, but kernel has no support.

とか出ている。ひとまず、BTS に上げられている patch を試してみることにする。kernel compile 完了。さあ実験。お、つながったぞ。でも、つながっただけで通信はできない状態。これはおいおい究明。

なお、MPPE patch の upstream は今はこっちらしい。 > MPPE/MPPC kernel module for Linux

BTS に上げられている情報から推測するに、2.6.0-test9 用の patch も古いってことかな。2.6 からつなぎにいったときにも、クライアントのほうで

pppd[XXXXX]: kernel does not support PPP filtering
pppd[XXXXX]: MPPE required, but kernel has no support.
kernel: compress rejected: opt_len=22,o[0]=12,o[1]=6
pppd[XXXXX]: Connection terminated.

サーバのほうで

pppd[XXXXX]: rcvd [LCP TermReq id=0x2 "MPPE required but not available"]
pppd[XXXXX]: LCP terminated by peer (MPPE required but not available)

とか出てるし。って本家に書いてあるや...。作り直さないと。さらに、pptp-command より pptp-php-gtk のほうがよさげな感じかも?


2004年
4月
1 2 3
4 5 6 7 8 9 10
11 12 13 14 15 16 17
18 19 20 21 22 23 24
25 26 27 28 29 30

[amd64 | audacious | comp | debian | gkrelluim | kip | misc | movie | research | rime | unicon | vdr | work | えふえふ]

書いてる人: dai

パッチ等(無保証)

GPG Fingerprint = 0B29 D88E 42E6 B765 B8D8 EA50 7839 619D D439 668E